Get Document
curl --request GET \
--url https://app.famulor.de/api/user/knowledgebases/{knowledgebaseId}/documents/{documentId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.famulor.de/api/user/knowledgebases/{knowledgebaseId}/documents/{documentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.famulor.de/api/user/knowledgebases/{knowledgebaseId}/documents/{documentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.de/api/user/knowledgebases/{knowledgebaseId}/documents/{documentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.de/api/user/knowledgebases/{knowledgebaseId}/documents/{documentId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": 1,
"name": "Product Handbook",
"description": "Complete user manual for the product",
"type": "pdf",
"type_label": "PDF",
"status": "active",
"status_label": "Active",
"created_at": "2025-01-05T10:30:00.000000Z",
"updated_at": "2025-01-05T10:35:00.000000Z"
}
}
{
"error": "Knowledgebase not found."
}
{
"error": "Document not found."
}
Get Document
Retrieve details of a specific document inside a Famulor knowledge base by ID via API. Get content, metadata and processing status for AI voice agents.
GET
/
api
/
user
/
knowledgebases
/
{knowledgebaseId}
/
documents
/
{documentId}
Get Document
This endpoint returns the details of a specific document within a knowledge base.
Path Parameters
integer
required
The unique identifier of the knowledge base
integer
required
The unique identifier of the document
Response Fields
object
The document object
Show Document Properties
Show Document Properties
integer
The unique identifier of the document
string
The name of the document
string
Optional description of the document
string
Document type:
website, pdf, txt or docxstring
Human-readable type label
string
Processing status:
processing, active or failedstring
Human-readable status label
string
ISO 8601 timestamp of creation
string
ISO 8601 timestamp of last update
{
"data": {
"id": 1,
"name": "Product Handbook",
"description": "Complete user manual for the product",
"type": "pdf",
"type_label": "PDF",
"status": "active",
"status_label": "Active",
"created_at": "2025-01-05T10:30:00.000000Z",
"updated_at": "2025-01-05T10:35:00.000000Z"
}
}
{
"error": "Knowledgebase not found."
}
{
"error": "Document not found."
}
Related pages: Introduction and Authentication Guide, and API Integration Examples.
Was this page helpful?
⌘I

